# ostream_iterator Class Template Reference

Inheritance diagram for ostream_iterator:

List of all members.

## Detailed Description

### template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>>
class std::ostream_iterator< _Tp, _CharT, _Traits >

This class provides an iterator to write to an ostream. The type Tp is the only type written by this iterator and there must be an operator<<(Tp) defined.

Parameters:

  | Tp | The type to write to the ostream.
  | CharT | The ostream char_type.
  | Traits | The ostream char_traits.

Definition at line 152 of file stream_iterator.h.

## Public Types

- typedef _CharT char_type
- typedef void difference_type
- typedef output_iterator_tag iterator_category
- typedef basic_ostream< _CharT,
  _Traits > ostream_type
- typedef void pointer
- typedef void reference
- typedef _Traits traits_type
- typedef void value_type

## Public Member Functions

- ostream_iterator & operator * ()
- ostream_iterator & operator++ (int)
- ostream_iterator & operator++ ()
- ostream_iterator & operator= (const _Tp &__value)
- ostream_iterator (const ostream_iterator &__obj)
- ostream_iterator (ostream_type &__s, const _CharT *__c)
- ostream_iterator (ostream_type &__s)

## Member Typedef Documentation

typedef _CharT char_type

| Public typedef. Definition at line 158 of file stream_iterator.h.

typedef void difference_type `[inherited]`

| Distance between iterators is represented as this type. Definition at line 113 of file stl_iterator_base_types.h.

typedef output_iterator_tag iterator_category `[inherited]`

| One of the tag types. Definition at line 109 of file stl_iterator_base_types.h.

typedef void pointer `[inherited]`

| This type represents a pointer-to-value_type. Definition at line 115 of file stl_iterator_base_types.h.

typedef void reference `[inherited]`

| This type represents a reference-to-value_type. Definition at line 117 of file stl_iterator_base_types.h.

typedef void value_type `[inherited]`

| The type "pointed to" by the iterator. Definition at line 111 of file stl_iterator_base_types.h.

## Constructor & Destructor Documentation

ostream_iterator | ( | ostream_type & | __s | ) | `[inline]`

| Construct from an ostream. Definition at line 169 of file stream_iterator.h.

ostream_iterator | ( | ostream_type & | __s,
|  | const _CharT * | __c
| ) | `[inline]`

Construct from an ostream.

The delimiter string c is written to the stream after every Tp written to the stream. The delimiter is not copied, and thus must not be destroyed while this iterator is in use.

Parameters:

  | s | Underlying ostream to write to.
  | c | CharT delimiter string to insert.

Definition at line 181 of file stream_iterator.h.

ostream_iterator | ( | const ostream_iterator< _Tp, _CharT, _Traits > & | __obj | ) | `[inline]`

| Copy constructor. Definition at line 185 of file stream_iterator.h.

## Member Function Documentation

ostream_iterator& operator= | ( | const _Tp & | __value | ) | `[inline]`

| constructed with delimiter string, writes delimiter to ostream. Definition at line 191 of file stream_iterator.h.

The documentation for this class was generated from the following file:

- stream_iterator.h